Interlaken
API referenceAgents and workflowsAgents

Get an in-guest agent

GET
/api/v1/agents/{id}

Requires the agents:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/agents/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",  "kind": "string",  "last_seen_at": "2019-08-24T14:15:22Z",  "name": "string",  "namespace": "string",  "online": true,  "role": "string",  "skills": [    "string"  ],  "version": "string"}